﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>9.0.30729</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{308EA064-5226-4E98-A962-2B9343CFA1CE}</ProjectGuid>
    <OutputType>Library</OutputType>
    <RootNamespace>EnterStockAdjustment.Create</RootNamespace>
    <AssemblyName>EnterStockAdjustment.Create</AssemblyName>
    <FileAlignment>512</FileAlignment>
    <MyType>Windows</MyType>
    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
    <OptionExplicit>On</OptionExplicit>
    <OptionCompare>Binary</OptionCompare>
    <OptionStrict>On</OptionStrict>
    <OptionInfer>On</OptionInfer>
    <SccProjectName>
    </SccProjectName>
    <SccLocalPath>
    </SccLocalPath>
    <SccAuxPath>
    </SccAuxPath>
    <SccProvider>
    </SccProvider>
    <SignAssembly>true</SignAssembly>
    <AssemblyOriginatorKeyFile>$(PROJ_ROOT)\misc\Oasys.pfx</AssemblyOriginatorKeyFile>
    <FileUpgradeFlags>
    </FileUpgradeFlags>
    <OldToolsVersion>3.5</OldToolsVersion>
    <UpgradeBackupLocation />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <DefineDebug>true</DefineDebug>
    <DefineTrace>true</DefineTrace>
    <OutputPath>$(OUT_DIR)\build\Oasys3</OutputPath>
    <DocumentationFile>
    </DocumentationFile>
    <NoWarn>42353,42354,42355</NoWarn>
    <WarningsAsErrors>41999,42016,42017,42018,42019,42020,42021,42022,42032,42036</WarningsAsErrors>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <DefineDebug>false</DefineDebug>
    <DefineTrace>true</DefineTrace>
    <Optimize>true</Optimize>
    <OutputPath>$(OUT_DIR)\build\Oasys3</OutputPath>
    <DocumentationFile>
    </DocumentationFile>
    <NoWarn>42353,42354,42355</NoWarn>
    <WarningsAsErrors>41999,42016,42017,42018,42019,42020,42021,42022,42032,42036</WarningsAsErrors>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="DevExpress.Data.v9.1, Version=9.1.5.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>$(PROJ_ROOT)\Libs\DevExpress\DevExpress.Data.v9.1.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.Utils.v9.1, Version=9.1.5.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>$(PROJ_ROOT)\Libs\DevExpress\DevExpress.Utils.v9.1.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.XtraEditors.v9.1, Version=9.1.5.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>$(PROJ_ROOT)\Libs\DevExpress\DevExpress.XtraEditors.v9.1.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.XtraGrid.v9.1, Version=9.1.5.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>$(PROJ_ROOT)\Libs\DevExpress\DevExpress.XtraGrid.v9.1.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Data" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
    <Reference Include="System.Core">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Xml.Linq">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Import Include="Cts.Oasys.Core" />
    <Import Include="Cts.Oasys.Core.System" />
    <Import Include="Cts.Oasys.Data" />
    <Import Include="DevExpress.XtraEditors" />
    <Import Include="DevExpress.XtraEditors.Controls" />
    <Import Include="DevExpress.XtraGrid" />
    <Import Include="DevExpress.XtraGrid.Columns" />
    <Import Include="DevExpress.XtraGrid.Views.Base" />
    <Import Include="DevExpress.XtraGrid.Views.Grid" />
    <Import Include="Microsoft.VisualBasic" />
    <Import Include="StockAdjustments" />
    <Import Include="System" />
    <Import Include="System.Collections" />
    <Import Include="System.Collections.Generic" />
    <Import Include="System.Data" />
    <Import Include="System.Diagnostics" />
    <Import Include="System.Linq" />
    <Import Include="System.Windows.Forms" />
    <Import Include="System.Xml.Linq" />
    <Import Include="TpWickes.Library" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Create.Designer.vb">
      <DependentUpon>Create.vb</DependentUpon>
    </Compile>
    <Compile Include="Create.vb">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="Factories\ClearButtonsFactory.vb" />
    <Compile Include="Factories\CreateUIFactory.vb" />
    <Compile Include="Factories\ManageStockAdjustmentFactory.vb" />
    <Compile Include="Factories\RequirementRepositoryFactory.vb" />
    <Compile Include="Factories\StockLogMarkDownWriteOffInitialValuesFactory.vb" />
    <Compile Include="Implementations\CLearButtons.vb" />
    <Compile Include="Implementations\CreateUIExisting.vb" />
    <Compile Include="Implementations\CreateUICodeFourAdjustments.vb" />
    <Compile Include="Implementations\ManageStockAdjustments.vb" />
    <Compile Include="Implementations\ManageStockAdjustmentsOld.vb" />
    <Compile Include="Implementations\StockLogMarkDownWriteOffInitialValuesUseEndValue.vb" />
    <Compile Include="Interfaces\IClearButtons.vb" />
    <Compile Include="Interfaces\ICreateUI.vb" />
    <Compile Include="Interfaces\IManageStockAdjustments.vb" />
    <Compile Include="Interfaces\IRequirementRepository.vb" />
    <Compile Include="Interfaces\IStockLogMarkDownWriteOffInitialValues.vb" />
    <Compile Include="My Project\AssemblyInfo.vb" />
    <Compile Include="My Project\Application.Designer.vb">
      <AutoGen>True</AutoGen>
      <DependentUpon>Application.myapp</DependentUpon>
    </Compile>
    <Compile Include="My Project\Resources.Designer.vb">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="My Project\Settings.Designer.vb">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
    <Compile Include="Repositories\RequirementRepository.vb" />
    <Compile Include="Repositories\RequirementRepositoryStub.vb" />
    <Compile Include="Resources\Confirmations.Designer.vb">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Confirmations.resx</DependentUpon>
    </Compile>
    <Compile Include="Resources\Controls.Designer.vb">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Controls.resx</DependentUpon>
    </Compile>
    <Compile Include="Resources\Messages.Designer.vb">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Messages.resx</DependentUpon>
    </Compile>
    <Compile Include="Resources\Warnings.Designer.vb">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Warnings.resx</DependentUpon>
    </Compile>
    <Compile Include="TypeDialog.Designer.vb">
      <DependentUpon>TypeDialog.vb</DependentUpon>
    </Compile>
    <Compile Include="TypeDialog.vb">
      <SubType>Form</SubType>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Create.resx">
      <DependentUpon>Create.vb</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="My Project\licenses.licx" />
    <EmbeddedResource Include="My Project\Resources.resx">
      <Generator>VbMyResourcesResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.vb</LastGenOutput>
      <CustomToolNamespace>My.Resources</CustomToolNamespace>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Resources\Confirmations.resx">
      <CustomToolNamespace>My.Resources</CustomToolNamespace>
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Confirmations.Designer.vb</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Include="Resources\Controls.resx">
      <CustomToolNamespace>My.Resources</CustomToolNamespace>
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Controls.Designer.vb</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Include="Resources\Messages.resx">
      <CustomToolNamespace>My.Resources</CustomToolNamespace>
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Messages.Designer.vb</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Include="Resources\Warnings.resx">
      <CustomToolNamespace>My.Resources</CustomToolNamespace>
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Warnings.Designer.vb</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Include="TypeDialog.resx">
      <DependentUpon>TypeDialog.vb</DependentUpon>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <None Include="My Project\Application.myapp">
      <Generator>MyApplicationCodeGenerator</Generator>
      <LastGenOutput>Application.Designer.vb</LastGenOutput>
    </None>
    <None Include="My Project\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <CustomToolNamespace>My</CustomToolNamespace>
      <LastGenOutput>Settings.Designer.vb</LastGenOutput>
    </None>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\Cts.Oasys.WinForm\Cts.Oasys.WinForm\Cts.Oasys.WinForm.vbproj">
      <Project>{42C628EC-03C8-4792-9019-1F87E4042E45}</Project>
      <Name>Cts.Oasys.WinForm</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Apps\Authorisation\Authorisation\Authorisation.vbproj">
      <Project>{8764F7B6-93E2-497F-A751-84B7BD69B71E}</Project>
      <Name>Authorisation %28Apps\Authorisation\Authorisation%29</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\Cts.Oasys.Core\Cts.Oasys.Core\Cts.Oasys.Core.vbproj">
      <Project>{28893D2F-A1FE-4AEB-A600-C14945DF980B}</Project>
      <Name>Cts.Oasys.Core</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\Cts.Oasys.Core\Cts.Oasys.Core.Stock\Cts.Oasys.Core.Stock.vbproj">
      <Project>{4B4CCD00-8756-4223-8F54-D8BACED43F01}</Project>
      <Name>Cts.Oasys.Core.Stock</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\Cts.Oasys.Core\Cts.Oasys.Core.System\Cts.Oasys.Core.System.vbproj">
      <Project>{4A4B0C29-592E-44E3-A3E9-A090AF3C1E4B}</Project>
      <Name>Cts.Oasys.Core.System</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\Cts.Oasys.Core\Cts.Oasys.Data\Cts.Oasys.Data.vbproj">
      <Project>{43D83026-CDF3-4590-A743-4ACC4D2BDE61}</Project>
      <Name>Cts.Oasys.Data</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\Apps\Reporting\Stock.Enquiry\Stock.Enquiry.vbproj">
      <Project>{430927C0-1816-4F25-AE2D-5E6E832607E0}</Project>
      <Name>Stock.Enquiry</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\StockAdjustments\StockAdjustments.vbproj">
      <Project>{9BA5E32A-E199-47E4-97E8-3A7809B7EB01}</Project>
      <Name>StockAdjustments</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\TpWickes\TpWickes.Library\TpWickes.Library.vbproj">
      <Project>{038616C6-C578-4C90-995A-483CCFDE8346}</Project>
      <Name>TpWickes.Library</Name>
      <Private>False</Private>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.VisualBasic.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>